<template />
<script>
import wx from 'weixin-js-sdk'
import { getSignature } from "@/api/wechat";

export default {
  name: 'WxSignature',
  data() {
    return {};
  },
  created() {},
  mounted() {},
  methods: {
    //jsSDK 签名验证
    getJsApiSignShare(shareParam){
      let reqData = {
        url: encodeURI(window.location.href.split('#')[0]),
      }
      getSignature(reqData).then((res) => {
        if(res.key == 200){
          wx.config({
              "debug": false, // 开启调试模式,调用的所有api的返回值会在客户端alert出来，若要查看传入的参数，可以在pc端打开，参数信息会通过log打出，仅在pc端时才会打印。
              "appId": 'wx7302e8b315a9a6f3', // 必填，公众号的唯一标识
              "timestamp": res.data.timestamp, // 必填，生成签名的时间戳
              "nonceStr": res.data.noncestr, // 必填，生成签名的随机串
              "signature": res.data.signature, // 必填，签名，见附录1
              "jsApiList": ['showMenuItems', 'updateAppMessageShareData', 'updateTimelineShareData'], // 必填，需要使用的JS接口列表，所有JS接口列表见附录2
          });
          //通过ready接口处理成功验证
          wx.ready(function () {
            // wx.miniProgram.postMessage({ data: {title: '基金Park通行证', url: window.location.href.split('#')[0]} })

            wx.showMenuItems({
              menuList: ['menuItem:share:appMessage', 'menuItem:share:timeline', 'menuItem:share:qq', 'menuItem:share:QZone', ]  // 要显示的菜单项，所有menu项见附录3
            });

            // 分享朋友
            wx.updateAppMessageShareData({ 
              title: shareParam.title, // 分享标题
              desc: shareParam.desc, // 分享描述
              link: window.location.href.split('#')[0], // 分享链接，该链接域名或路径必须与当前页面对应的公众号JS安全域名一致
              imgUrl: shareParam.imgUrl, // 分享图标
              success: function () {
                // 设置成功
                Toast("分享成功");
              }
            });

            wx.updateTimelineShareData({ 
              title: shareParam.title, // 分享标题
              link: window.location.href.split('#')[0], // 分享链接，该链接域名或路径必须与当前页面对应的公众号JS安全域名一致
              imgUrl: shareParam.imgUrl, // 分享图标
              success: function () {
                // 设置成功
                Toast("分享成功");
              }
            })

          })

          wx.error(function(res){
            console.log("异常信息——：", res);
          });

        }
      });
    }

  },
};
</script>